package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @Description:
 * @author: zhoutg
 * @time: 2020/4/14 13:07
 */
@Getter
@Setter
public class MsgDTO {
    //明细主键
    private Long id;
    //得分
    private BigDecimal score;
    //提示信息
    private String msg;
    //标准提示信息
    private String standardMsg;
    //单项否决
    private String isReject;
    //模块名称
    private String modelName;
    //模块id
    private String modelId;
    //模块ID
    private Long casesId;
    //模块分数
    private BigDecimal casesScore;
    // 条目ID
    private Long casesEntryId;
    // 条目id对应页面数据的key值
    private List<String> pageKeyList = new ArrayList<>();
}
