package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/4/12 13:58
 */
@Getter
@Setter
public class QcCasesDTO {
    /**
     * 主键
     */
    private Long id;

    /**
     * 模块总分
     */
    private BigDecimal score;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private LocalDateTime gmtModified;

    /**
     * 模块名称
     */
    private String name;

    /**
     * 模块编码前缀
     */
    private String prefix;

    /**
     * 顺序号
     */
    private Integer orderNo;

}
