package com.diagbot.entity;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author gaodm
 * @since 2020-04-13
 */
public class MedRecordType implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 类别ID
     */
    private String typeId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 类别名称
     */
    private String typeName;

    /**
     * 上级类别
     */
    private String parentTypeId;

    /**
     * 服务对象(全院、科室、个人)
     */
    private String objName;

    /**
     * 拼音
     */
    private String spell;

    private String remark;

    public String getTypeId() {
        return typeId;
    }

    public void setTypeId(String typeId) {
        this.typeId = typeId;
    }
    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }
    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }
    public String getParentTypeId() {
        return parentTypeId;
    }

    public void setParentTypeId(String parentTypeId) {
        this.parentTypeId = parentTypeId;
    }
    public String getObjName() {
        return objName;
    }

    public void setObjName(String objName) {
        this.objName = objName;
    }
    public String getSpell() {
        return spell;
    }

    public void setSpell(String spell) {
        this.spell = spell;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "MedRecordType{" +
            "typeId=" + typeId +
            ", hospitalId=" + hospitalId +
            ", typeName=" + typeName +
            ", parentTypeId=" + parentTypeId +
            ", objName=" + objName +
            ", spell=" + spell +
            ", remark=" + remark +
        "}";
    }
}
