package com.diagbot.service;

import com.diagbot.dto.AverageStatisticsDTO;
import com.diagbot.entity.HomePage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.vo.FilterVO;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
public interface HomePageService extends IService<HomePage> {
    /**
     * 按科室统计平均住院天数
     *
     * @param filterVO
     * @return
     */
    public List<AverageStatisticsDTO> getAverageDayNum(FilterVO filterVO);

    /**
     * 按科室统计平均费用
     *
     * @param filterVO
     * @return
     */
    public List<AverageStatisticsDTO> getAverageFee(FilterVO filterVO);
}
