package com.diagbot.service.impl;

import com.diagbot.dto.RecordContentDTO;
import com.diagbot.entity.MedicalRecord;
import com.diagbot.mapper.MedicalRecordMapper;
import com.diagbot.service.MedicalRecordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.RecordContentVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@Service
public class MedicalRecordServiceImpl extends ServiceImpl<MedicalRecordMapper, MedicalRecord> implements MedicalRecordService {

    @Override
    public List<RecordContentDTO> getRecordContent(RecordContentVO recordContentVO) {
        return baseMapper.getRecordContent(recordContentVO);
    }
}
