package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.QcCasesDTO;
import com.diagbot.entity.QcCases;
import com.diagbot.mapper.QcCasesMapper;
import com.diagbot.service.QcCasesService;
import com.diagbot.vo.QcCasesQueryVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 模块数据标准 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2020-04-12
 */
@Service
public class QcCasesServiceImpl extends ServiceImpl<QcCasesMapper, QcCases> implements QcCasesService {
    @Override
    public List<QcCasesDTO> getQcCases(QcCasesQueryVO queryVO) {
        return baseMapper.getQcCases(queryVO);
    }
}
