package com.diagbot.mapper;

import com.diagbot.dto.QcCasesEntryDTO;
import com.diagbot.entity.QcCasesEntry;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.AnalyzeVO;
import com.diagbot.vo.QcResultAlgQueryVO;
import com.diagbot.vo.QcResultAlgVO;

import java.util.List;

/**
 * <p>
 * 病历条目 Mapper 接口
 * </p>
 *
 * @author wangfeng
 * @since 2020-04-13
 */
public interface QcCasesEntryMapper extends BaseMapper<QcCasesEntry> {
    List<QcCasesEntryDTO> getQcCasesEntry(AnalyzeVO analyzeVO);

    List<QcResultAlgVO> getQcResultAlgVO(QcResultAlgQueryVO qcResultAlgQueryVO);
}
