package com.diagbot.service;

import com.diagbot.dto.QcCasesEntryDTO;
import com.diagbot.entity.QcCasesEntry;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.vo.AnalyzeVO;
import com.diagbot.vo.QcResultAlgQueryVO;
import com.diagbot.vo.QcResultAlgVO;

import java.util.List;

/**
 * <p>
 * 病历条目 服务类
 * </p>
 *
 * @author wangfeng
 * @since 2020-04-13
 */
public interface QcCasesEntryService extends IService<QcCasesEntry> {
    List<QcCasesEntryDTO> getQcCasesEntry(AnalyzeVO analyzeVO);

    List<QcResultAlgVO> getQcResultAlgVO(QcResultAlgQueryVO qcResultAlgQueryVO);
}
