package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.entity.QcresultInfo;
import com.diagbot.vo.QcresultFilterVO;

/**
 * <p>
 * 质控评分结果信息
每次评分增加一条信息，前面所有评分is_deleted全部设置为Y 服务类
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
public interface QcresultInfoService extends IService<QcresultInfo> {

    /**
     * 筛选质控记录
     *
     * @param qcresultFilterVO
     * @return
     */
    public int getQcresultSelectively(QcresultFilterVO qcresultFilterVO);
}
