package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/4/15 16:04
 */
@Getter
@Setter
public class FilterVO {
    /**
     * 统计维度 1-本月，2-本年
     */
    private Integer type;
    /**
     * 起始时间
     */
    @ApiModelProperty(hidden = true)
    private String startDate;
    /**
     * 结束时间
     */
    @ApiModelProperty(hidden = true)
    private String endDate;
    /**
     * 医院id
     */
    @ApiModelProperty(hidden = true)
    private String hospitalId;
    /**
     * 限制条数
     */
    @ApiModelProperty(hidden = true)
    private Integer limitCount;
}